CacheWriterException (Apache Geode 1.15.4)

org.apache.geode.cache

## Class CacheWriterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.CacheRuntimeException
          - - org.apache.geode.cache.OperationAbortedException
            - - org.apache.geode.cache.CacheWriterException

- All Implemented Interfaces:
    Serializable

      public class CacheWriterException
      extends OperationAbortedException

  An exception thrown by a `CacheWriter` method. This exception is propagated back to the caller that initiated modification of the cache, even if the caller is not in the same cache VM.
  Since:
    GemFire 3.0
  See Also:
    `CacheWriter`, `Region.put(Object, Object)`, `Region.destroy(Object)`, `Region.create(Object, Object)`, `Region.destroyRegion()`, `Region.get(Object)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheWriterException()` Creates a new instance of `CacheWriterException`.
    `CacheWriterException(String msg)` Constructs an instance of `CacheWriterException` with the specified detail message.
    `CacheWriterException(String msg, Throwable cause)` Constructs an instance of `CacheWriterException` with the specified detail message and cause.
    `CacheWriterException(Throwable cause)` Constructs an instance of `CacheWriterException` with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

      `toString`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheWriterException

          public CacheWriterException()

      Creates a new instance of `CacheWriterException`.

    - #### CacheWriterException

          public CacheWriterException(String msg)

      Constructs an instance of `CacheWriterException` with the specified detail message.
      Parameters:
        `msg` - the detail message

    - #### CacheWriterException

          public CacheWriterException(String msg,
                                      Throwable cause)

      Constructs an instance of `CacheWriterException` with the specified detail message and cause.
      Parameters:
        `msg` - the detail message
        `cause` - the causal Throwable

    - #### CacheWriterException

          public CacheWriterException(Throwable cause)

      Constructs an instance of `CacheWriterException` with the specified cause.
      Parameters:
        `cause` - the causal Throwable